Debian Bug report logs - #707334
RM: sampleicc -- RoQA; formerly used by OOo, no longer needed

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Rene Engelhard <rene@debian.org>

Date: Thu, 9 May 2013 07:33:06 UTC

Severity: normal

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#707334; Package wnpp. (Thu, 09 May 2013 07:33:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Thu, 09 May 2013 07:33:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: sampleicc
Date: Thu, 9 May 2013 09:22:02 +0200
Package: wnpp
Severity: normal

I intend to orphan the sampleicc package.

$ rmadison -S -s unstable sampleicc
 libicc-utils-dev | 1.6.4-1+b1 | sid | amd64, armel, armhf, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, s390x, sparc
 libicc-utils-dev | 1.6.4-1+b2 | sid | hurd-i386
 libicc-utils2    | 1.6.4-1+b1 | sid | amd64, armel, armhf, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, s390x, sparc
 libicc-utils2    | 1.6.4-1+b2 | sid | hurd-i386
 libsampleicc-dev | 1.6.4-1+b1 | sid | amd64, armel, armhf, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, s390x, sparc
 libsampleicc-dev | 1.6.4-1+b2 | sid | hurd-i386
 libsampleicc2    | 1.6.4-1+b1 | sid | amd64, armel, armhf, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, s390x, sparc
 libsampleicc2    | 1.6.4-1+b2 | sid | hurd-i386
 sampleicc        | 1.6.4-1    | sid | source
 sampleicc-tools  | 1.6.4-1+b1 | sid | amd64, armel, armhf, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, s390x, sparc
 sampleicc-tools  | 1.6.4-1+b2 | sid | hurd-i386

Was packaged only because OpenOffice.org started to need it; LibreOffice
switched to liblcms2 so this one is completely out of my
interest now.

If noone wants to adopt it it probably should just be removed...
It had no upload besides the initial upload in 2011 and especially
since it doesn't have any r-deps anymore (and never had, OOo/LO just
build-depended on it)

Regards,

Rene



Changed Bug title to 'O: sampleicc -- ICC profiles i/o and manipulating library and CMM' from 'O: sampleicc' Request was from Boris Pek <tehnick-8@yandex.ru> to control@bugs.debian.org. (Mon, 13 May 2013 07:30:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#707334; Package wnpp. (Wed, 22 May 2013 13:27:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 22 May 2013 13:27:13 GMT) Full text and rfc822 format available.

Message #12 received at 707334@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Rene Engelhard <rene@debian.org>, 707334@bugs.debian.org
Cc: Debian FTP Master <ftpmaster@ftp-master.debian.org>
Subject: Re: Bug#707334: O: sampleicc
Date: Wed, 22 May 2013 14:22:46 +0100
Control: reassign -1 ftp.debian.org
Control: retitle -1 RM: sampleicc -- RoQA; formerly used by OOo, no longer needed

On Thu, May 09, 2013 at 09:22:02AM +0200, Rene Engelhard wrote:
> I intend to orphan the sampleicc package.
> 
> $ rmadison -S -s unstable sampleicc
>  libicc-utils-dev | 1.6.4-1+b1 | sid | amd64, armel, armhf, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, s390x, sparc
>  libicc-utils-dev | 1.6.4-1+b2 | sid | hurd-i386
>  libicc-utils2    | 1.6.4-1+b1 | sid | amd64, armel, armhf, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, s390x, sparc
>  libicc-utils2    | 1.6.4-1+b2 | sid | hurd-i386
>  libsampleicc-dev | 1.6.4-1+b1 | sid | amd64, armel, armhf, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, s390x, sparc
>  libsampleicc-dev | 1.6.4-1+b2 | sid | hurd-i386
>  libsampleicc2    | 1.6.4-1+b1 | sid | amd64, armel, armhf, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, s390x, sparc
>  libsampleicc2    | 1.6.4-1+b2 | sid | hurd-i386
>  sampleicc        | 1.6.4-1    | sid | source
>  sampleicc-tools  | 1.6.4-1+b1 | sid | amd64, armel, armhf, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, s390x, sparc
>  sampleicc-tools  | 1.6.4-1+b2 | sid | hurd-i386
> 
> Was packaged only because OpenOffice.org started to need it; LibreOffice
> switched to liblcms2 so this one is completely out of my
> interest now.
> 
> If noone wants to adopt it it probably should just be removed...
> It had no upload besides the initial upload in 2011 and especially
> since it doesn't have any r-deps anymore (and never had, OOo/LO just
> build-depended on it)

Indeed.  unstable's Sources still has some old libreoffice 3.5 packages
which build-depend on it, presumably due to out-of-date builds on some
architectures, but as you say the 4.0 packages don't.  If we keep it
then we'll have to deal with it in the tiff transition
(http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=681900), and there
doesn't really seem much point in bothering.

Reassigning to ftp.d.o for removal.

Thanks,

-- 
Colin Watson                                       [cjwatson@debian.org]



Bug reassigned from package 'wnpp' to 'ftp.debian.org'. Request was from Colin Watson <cjwatson@debian.org> to 707334-submit@bugs.debian.org. (Wed, 22 May 2013 13:27:13 GMT) Full text and rfc822 format available.

Changed Bug title to 'RM: sampleicc -- RoQA; formerly used by OOo, no longer needed' from 'O: sampleicc -- ICC profiles i/o and manipulating library and CMM' Request was from Colin Watson <cjwatson@debian.org> to 707334-submit@bugs.debian.org. (Wed, 22 May 2013 13:27:14 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Wed, 22 May 2013 21:36:44 GMT) Full text and rfc822 format available.

Notification sent to Rene Engelhard <rene@debian.org>:
Bug acknowledged by developer. (Wed, 22 May 2013 21:36:44 GMT) Full text and rfc822 format available.

Message #21 received at 707334-close@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 707334-close@bugs.debian.org
Cc: sampleicc@packages.debian.org, sampleicc@packages.qa.debian.org
Subject: Bug#707334: Removed package(s) from unstable
Date: Wed, 22 May 2013 21:33:51 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

libicc-utils-dev |    1.6.4-2 | amd64, armel, armhf, hurd-i386, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, s390x, sparc
libicc-utils2 |    1.6.4-2 | amd64, armel, armhf, hurd-i386, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, s390x, sparc
libsampleicc-dev |    1.6.4-2 | amd64, armel, armhf, hurd-i386, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, s390x, sparc
libsampleicc2 |    1.6.4-2 | amd64, armel, armhf, hurd-i386, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, s390x, sparc
 sampleicc |    1.6.4-2 | source
sampleicc-tools |    1.6.4-2 | amd64, armel, armhf, hurd-i386, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, s390x, sparc

------------------- Reason -------------------
RoQA; formerly used by OOo, no longer needed
----------------------------------------------

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive and will not propagate to any mirrors (ftp.debian.org
included) until the next dinstall run at the earliest.

Packages are usually not removed from testing by hand. Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems. The release team can force a removal from testing if it is
really needed, please contact them if this should be the case.

We try to close bugs which have been reported against this package
automatically. But please check all old bugs, if they were closed
correctly or should have been re-assigned to another package.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 707334@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/707334

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Ansgar Burchardt (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 20 Jun 2013 07:37:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:21:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.